websphere JDK version problem

HI all,
i am facing the following problem.may be inappropriate JDK version. where i can change the JDK version? which files? i want to change JDK 1.5 instead of 1.4.
If anybody knows, pls. tell me the file name also path.....where i can change???

Error 500: java.lang.LinkageError: LinkageError while defining class: administration.Login Could not be defined due to: administration/Login (Unsupported major.minor version 49.0) This is often caused by having a class defined at multiple locations within the classloader hierarchy. Other potential causes include compiling against an older or newer version of the class that has an incompatible method signature. Dumping the current context classloader hierarchy: ==> indicates defining classloader ==>[0] com.ibm.ws.classloader.CompoundClassLoader@16e6e09 Local ClassPath: C:\Program Files\IBM\WebSphere\AppServer\profiles\AppSrv01\installedApps\aun001Node02Cell\aunwesha.ear\aunwesha.war\WEB-INF\classes;C:\Program Files\IBM\WebSphere\AppServer\profiles\AppSrv01\installedApps\aun001Node02Cell\aunwesha.ear\aunwesha.war\WEB-INF\lib\ADLParser.jar;C:\Program Files\IBM\WebSphere\AppServer\profiles\AppSrv01\installedApps\aun001Node02Cell\aunwesha.ear\aunwesha.war\WEB-INF\lib\AunweshaUtil.jar;C:\Program Files\IBM\WebSphere\AppServer\profiles\AppSrv01\installedApps\aun001Node02Cell\aunwesha.ear\aunwesha.war\WEB-INF\lib\birt-oda.jar;C:\Program Files\IBM\WebSphere\AppServer\profiles\AppSrv01\installedApps\aun001Node02Cell\aunwesha.ear\aunwesha.war\WEB-INF\lib\chart-engine.jar;C:\Program
com.ibm.ws.http.channel.inbound.impl.HttpInboundLink.handleNewInformation(HttpInboundLink.java:367) at com.ibm.ws.http.channel.inbound.impl.HttpICLReadCallback.complete(HttpICLReadCallback.java:94) at com.ibm.ws.tcp.channel.impl.WorkQueueManager.requestComplete(WorkQueueManager.java:548) at com.ibm.ws.tcp.channel.impl.WorkQueueManager.attemptIO(WorkQueueManager.java:601) at com.ibm.ws.tcp.channel.impl.WorkQueueManager.workerRun(WorkQueueManager.java:934) at com.ibm.ws.tcp.channel.impl.WorkQueueManager$Worker.run(WorkQueueManager.java:1021) at com.ibm.ws.util.ThreadPool$Worker.run(ThreadPool.java:1332) - end Original exception--

Thanks & Regards..
joydev

2 comments
Comment actions Permalink

Seems you've been building your project (compiling) using a 1.5 compiler.
As WAS 6 has only a 1.4.2 VM it doesn't manage to load the classes.
You have two choices, both by modifying your project settings
- change the target java level to 1.4
- or change the project JDK to your WAS bundled one (shoudl be in C:\Program Files\IBM\WebSphere\AppServer\java AFAIK).

0
Comment actions Permalink

If you need to use JDK 1.5, you will need to update WebSphere to version 6.1 .

0

Please sign in to leave a comment.